summaryrefslogtreecommitdiff
path: root/tests/suite
diff options
context:
space:
mode:
Diffstat (limited to 'tests/suite')
-rw-r--r--tests/suite/Makefile.am4
-rwxr-xr-xtests/suite/testcompat-openssl.sh2
2 files changed, 5 insertions, 1 deletions
diff --git a/tests/suite/Makefile.am b/tests/suite/Makefile.am
index 6f2c9e8f41..43c5403526 100644
--- a/tests/suite/Makefile.am
+++ b/tests/suite/Makefile.am
@@ -100,6 +100,10 @@ TESTS_ENVIRONMENT = EXEEXT=$(EXEEXT) \
top_builddir="$(top_builddir)" \
srcdir="$(srcdir)"
+if ENABLE_NON_SUITEB_CURVES
+TESTS_ENVIRONMENT += ENABLE_NON_SUITEB_CURVES=1
+endif
+
if ENABLE_DANE
nodist_check_SCRIPTS += testdane.sh
endif
diff --git a/tests/suite/testcompat-openssl.sh b/tests/suite/testcompat-openssl.sh
index d7f9cc0e02..57259c9db5 100755
--- a/tests/suite/testcompat-openssl.sh
+++ b/tests/suite/testcompat-openssl.sh
@@ -38,7 +38,7 @@ if ! test -x /usr/bin/openssl; then
fi
/usr/bin/openssl version|grep fips >/dev/null 2>&1
-if test $? = 0; then
+if test $? = 0 || test "${ENABLE_NON_SUITEB_CURVES}" != "1"; then
export FIPS=1
else
export FIPS=0